Package com.plannaplan.responses.models

# Class UserResponse

java.lang.Object
com.plannaplan.responses.models.UserResponse

    public class UserResponse
    extends java.lang.Object

Model for api response for user serach results.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UserResponse​(com.plannaplan.entities.User user)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getEmail()` |
`java.lang.Long` | `getId()` |
`java.lang.String` | `getName()` |
`java.lang.String` | `getSurname()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserResponse

public UserResponse​(com.plannaplan.entities.User user)

Parameters:
  `user` - entity to be mapped to api response

## Method Details

### getEmail

public java.lang.String getEmail()

Returns:
  user email

### getSurname

public java.lang.String getSurname()

Returns:
  user surname

### getName

public java.lang.String getName()

Returns:
  user name

### getId

public java.lang.Long getId()

Returns:
  db id